:- module(arbitration_sel, [solveByArbitration/4]).

:- use_module(library(lists)).

% semplice arbitrato: prendo il primo tra quelli che hanno dichiarato 'RETRY-OP'
% o hanno richiesto 'ARBITRATE'. 

%solveByArbitration(+PTCsList, +TckOptList, -Goods, -Bads)
%PTCsList is a list of terms  Priority-AgentTicket-ListofPairsFluVal
%TckOptList ia a list of terms AgentTicket-Declaration
%where Declaration indicates what the agent would do ('RETRY-OP', 'NO-OP',
%'ARBITRATE',...)
%PTCsList is split in Goods (allowed to execute) and Bads (to be blocked)
solveByArbitration(PTCsList, TckOptList, [P-T-Cs], Bads) :-
	( member(T-'RETRY-OP',TckOptList) ; member(T-'ARBITRATE',TckOptList) ),!,
	selectchk(P-T-Cs, PTCsList, Bads).



