#/bin/bash

#SCRAT
SicsComm=/usr/local/bin/sicstus
#BACH:
#SicsComm=/share/sicstus4.0.4/bin/sicstus-4.0.4

NumAgents=`egrep 'numberOfAgents\(' settings.pl | tr "()" "  " | awk '{print $2; }'`
#echo $NumAgents

xterm -title SERVER -n SERVER -fn fixed -geometry 140x20 -e  $SicsComm -l spaceServer.pl --goal "go_server." &
sleep 1
xterm -title SUPERVISOR -n SUPERVISOR -fn fixed -geometry 160x30 -e  $SicsComm -l supervisor.pl --goal "auto_run_supervisor."  &

for ((agentIndex = 1 ; agentIndex <= $NumAgents ; agentIndex++)); do
	xterm -title PLANNER_$agentIndex -n PLANNER_$agentIndex -fn fixed -geometry 150x20 -e  $SicsComm -l plan_executor.pl --goal "auto_run_agent($agentIndex)."  &
done


