:- module(m_lindaclient, [m_linda_client/1,m_close_client/0,m_shutdown_server/0,
	m_linda_timeout/2,m_out/1,m_in/1,m_in_noblock/1,m_in/2,m_rd/1,m_rd/2,
	m_rd_noblock/1,m_bagof_rd_noblock/3]).

:- use_module(library(system)).
:- use_module(library('linda/client')).


m_linda_client(Address) :-
	%sleep(1),
	linda_client(Address).

m_close_client :- close_client.

m_shutdown_server :- shutdown_server.

m_linda_timeout(OldTime, NewTime) :- linda_timeout(OldTime, NewTime).

m_out(Tuple) :-
	%sleep(1),
	out(Tuple).

m_in(Tuple) :-
	%sleep(1),
	in(Tuple).

m_in_noblock(Tuple) :-
	%sleep(1),
	in_noblock(Tuple).

m_in(TupleList, Tuple) :-
	%sleep(1),
	in(TupleList, Tuple).

m_rd(Tuple) :-
	%sleep(1),
	rd(Tuple).

m_rd_noblock(Tuple) :-
	%sleep(1),
	rd_noblock(Tuple).

m_rd(TupleList, Tuple) :-
	%sleep(1),
	rd(TupleList, Tuple).

m_bagof_rd_noblock(Template, Tuple, Bag) :-
	%sleep(1),
	bagof_rd_noblock(Template, Tuple, Bag).

