%
%TODO:
% - gestione sintatica (in fase di compilazione della action theory)
%   della visibilita' dei fluenti (si assume che i nomi siano unici:
%   f per l'agente x e' lo stesso di f per l'agente y)   
% - il numero di agenti, i nomi e i file contenenti le rispettive 
%   action theories devono essere definiti nel file settings.pl 
%

:- module(spaceServer, [go_server/0,go_server/3]).

:- use_module('settings.pl').
:- use_module(m_lindaserver).


runAll(AddrFilename,NumAgents, MaxSteps,H,P) :-
	saveAddress(AddrFilename,NumAgents, MaxSteps,H,P),
	nl.


saveAddress(AddrFilename,NumAgents, MaxSteps,H,P) :-
	telling(ActualStream),
	tell(AddrFilename),
	format("connectionAddress(\'~w\', \'~w\').~n",[H,P]),
	format("numberOfAgents(~w).~n",[NumAgents]),
	format("maxNumberOfSteps(~w).~n",[MaxSteps]),
	told,
	tell(ActualStream),
	write('nome Host: '),write(H),nl,
	write('nome Port: '),write(P),nl.


%go :-
%	m_linda([(H:P)-runAll('tmpdata.txt',12,1,H,P)]).
go_server :-
	temporaryFileName(AddrFilename),
	numberOfAgents(NumAgents),
	maxNumberOfSteps(MaxSteps),
	go_server(AddrFilename, NumAgents, MaxSteps).
go_server(AddrFilename, NumAgents, MaxSteps) :-
	m_linda([(H:P)-runAll(AddrFilename,NumAgents, MaxSteps,H,P)]).


allowConnection(_ClientIP,_SocketStream) :-
	write('Accepting connection form someone... ').%,write(ClientIP), write(' using socket: '),write(SocketStream),nl.


%:-go, read(_).
